USRP Hardware Driver and USRP Manual: uhd::rfnoc::rf_control::antenna_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
uhd::rfnoc::rf_control::antenna_iface Class Referenceabstract

`#include <uhd/rfnoc/rf_control/antenna_iface.hpp>`

Inheritance diagram for uhd::rfnoc::rf_control::antenna_iface:

## Public Types
using | sptr = std::shared_ptr<antenna_iface>

## Public Member Functions
virtual | ~antenna_iface ()=default
virtual std::vector< std::string > | get_antennas (const size_t chan) const =0
virtual void | set_antenna (const std::string &ant, const size_t chan)=0
virtual std::string | get_antenna (const size_t chan) const =0

## Detailed Description

Interface for setting and getting the current antenna.

## Member Typedef Documentation

## ◆ sptr

using uhd::rfnoc::rf_control::antenna_iface::sptr = std::shared_ptr<antenna_iface>

## Constructor & Destructor Documentation

## ◆ ~antenna_iface()

virtual uhd::rfnoc::rf_control::antenna_iface::~antenna_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_antenna()

virtual std::string uhd::rfnoc::rf_control::antenna_iface::get_antenna | ( | const size_t | chan | ) | const
| pure virtual

Return the selected antenna for channel `chan`.

Returns
  The selected antenna.

Implemented in uhd::rfnoc::rf_control::enumerated_antenna.

## ◆ get_antennas()

virtual std::vector< std::string > uhd::rfnoc::rf_control::antenna_iface::get_antennas | ( | const size_t | chan | ) | const
| pure virtual

Return a list of valid antenna for channel `chan`.

Returns
  The selected antenna.

Implemented in uhd::rfnoc::rf_control::enumerated_antenna.

## ◆ set_antenna()

virtual void uhd::rfnoc::rf_control::antenna_iface::set_antenna | ( | const std::string & | ant,
|  | const size_t | chan )
| pure virtual

Select antenna `for` channel `chan`.

Exceptions

  uhd::value_error | if `ant` is not a valid value.

Implemented in uhd::rfnoc::rf_control::enumerated_antenna.

The documentation for this class was generated from the following file:

- antenna_iface.hpp